Bug 68

Summary: Selecting a location does not select self loops
Product: UPPAAL Reporter: Gerd Behrmann <behrmann>
Component: GUIAssignee: Gerd Behrmann <behrmann>
Status: RESOLVED FIXED    
Severity: normal    
Priority: P2    
Version: 3.4.2   
Hardware: All   
OS: All   
Architecture:

Description Gerd Behrmann 2003-11-04 13:43:00 CET
When selecting multible locations, the editor automatically selects all
connecting edges and also all labels on the locations and edges. Thus it would
be natural to expect, that selecting a single location would also select any
self loops of this location. This is does not happen.
Comment 1 Gerd Behrmann 2003-12-09 13:54:27 CET
In fact, the description in the bug is not entirely true. It turns out that the
transition is only selected if it does not have any nails. A self loop does have
a nail, so it is not selected. 

The question is to what extent nails should simply be ignored in the automatic
selection of transitions, i.e. if the source and target locations are selected,
should intermediate transitions then automatically be selected as well? Any
comments?
Comment 2 Gerd Behrmann 2005-02-04 14:42:56 CET
Fixed in 3.5.